Package org.eclipse.emf.cdo.spi.server

# Class StoreChunkReader

java.lang.Object
org.eclipse.emf.cdo.spi.server.StoreChunkReader

All Implemented Interfaces:
  `IStoreChunkReader`

public abstract class StoreChunkReader extends Object implements IStoreChunkReader
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader

`IStoreChunkReader.Chunk`

## Constructor Summary

Constructors
Constructor
Description
`StoreChunkReader(IStoreAccessor accessor, CDORevision revision, EStructuralFeature feature)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRangedChunk(int fromIndex, int toIndex)`
`void`
`addSimpleChunk(int index)`
`IStoreAccessor`
`getAccessor()`
`List<IStoreChunkReader.Chunk>`
`getChunks()`
`EStructuralFeature`
`getFeature()`
`CDORevision`
`getRevision()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreChunkReader

`executeRead`

## Constructor Details

### StoreChunkReader

public StoreChunkReader(IStoreAccessor accessor, CDORevision revision, EStructuralFeature feature)

## Method Details

### getAccessor

public IStoreAccessor getAccessor()

Specified by:
  `getAccessor` in interface `IStoreChunkReader`

### getRevision

public CDORevision getRevision()

Specified by:
  `getRevision` in interface `IStoreChunkReader`

### getFeature

public EStructuralFeature getFeature()

Specified by:
  `getFeature` in interface `IStoreChunkReader`

### getChunks

public List<IStoreChunkReader.Chunk> getChunks()

### addSimpleChunk

public void addSimpleChunk(int index)

Specified by:
  `addSimpleChunk` in interface `IStoreChunkReader`

### addRangedChunk

public void addRangedChunk(int fromIndex, int toIndex)

Specified by:
  `addRangedChunk` in interface `IStoreChunkReader`
Parameters:
  `fromIndex` - Inclusive value.
  `toIndex` - Exclusive value.